View Issue Details

IDProjectCategoryView StatusLast Update
0000240Siril[All Projects] Sirilpublic2018-05-09 00:11
ReportervinvinAssigned Tovinvin 
PrioritynormalSeverityfeatureReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Target Version0.9.9Fixed in Version0.9.9 
Summary0000240: Add a filtering method based on roundness
DescriptionFor stacking, add it to the existing list of 'all', 'selected', 'best FWHM', 'best quality'.
TagsNo tags attached.

Activities

vinvin

2018-03-18 02:03

administrator   ~0000504

Fix committed to Siril (2152).

lock42

2018-05-02 13:07

administrator   ~0000535

One need to add this algorithm in the global star registration method

vinvin

2018-05-09 00:11

administrator   ~0000543

Fix committed to Siril (2298).

Related Changesets

Siril: 0.9 r2152

2018-03-18 02:03:08

vinvin

Details
Enabling filtering of images in the sequence based on roundness, fixes 0000240.
Only works when registration has been made in the current session because this data is not saved through restart.
About the choice of filtering based on image selection and another criterion, this commit choses to only stack images that are selected and that match the filter, GUI has been updated accordingly (testing .incl in the compute_highest_*).
Should we move to the way we talked about in this release instead (using the graph to set the filter, could use any data)?
Affected Issues
0000240
mod - /branches/0.9/src/gui/siril3.glade
mod - /branches/0.9/src/stacking/stacking.c
mod - /branches/0.9/src/stacking/stacking.h

Siril: 0.9 r2156

2018-03-18 23:48:37

vinvin

Details
Fixing roundness filter - ref issue 0000240 Affected Issues
0000240
mod - /branches/0.9/src/stacking/stacking.c

Siril: 0.9 r2282

2018-05-07 02:46:57

vinvin

Details
New seqfile format: introducing versioning and roundness in regdata. Issue 0000240.
Affected Issues
0000240
mod - /branches/0.9/src/core/siril.h
mod - /branches/0.9/src/io/seqfile.c

Siril: 0.9 r2283

2018-05-07 02:59:26

vinvin

Details
fixing a bug in version reading from seqfile, issue 0000240 Affected Issues
0000240
mod - /branches/0.9/src/io/seqfile.c

Siril: 0.9 r2298

2018-05-09 00:11:17

vinvin

Details
Fixes 0000240: saving star roundness in seqfile, enabling roundness filtering in stacking in any run.
Affected Issues
0000240
mod - /branches/0.9/src/core/siril.h
mod - /branches/0.9/src/gui/plot.c
mod - /branches/0.9/src/io/seqfile.c
mod - /branches/0.9/src/io/sequence.c
mod - /branches/0.9/src/registration/registration.c
mod - /branches/0.9/src/stacking/stacking.c

Issue History

Date Modified Username Field Change
2018-02-22 14:41 vinvin New Issue
2018-03-18 01:49 vinvin Assigned To => vinvin
2018-03-18 01:49 vinvin Status new => assigned
2018-03-18 02:03 vinvin Changeset attached => Siril 0.9 r2152
2018-03-18 02:03 vinvin Note Added: 0000504
2018-03-18 02:03 vinvin Status assigned => resolved
2018-03-18 02:03 vinvin Resolution open => fixed
2018-03-18 02:03 vinvin Fixed in Version => 0.9.9
2018-03-18 23:48 vinvin Changeset attached => Siril 0.9 r2156
2018-05-02 13:07 lock42 Status resolved => assigned
2018-05-02 13:07 lock42 Note Added: 0000535
2018-05-07 02:46 vinvin Changeset attached => Siril 0.9 r2282
2018-05-07 02:59 vinvin Changeset attached => Siril 0.9 r2283
2018-05-09 00:11 vinvin Changeset attached => Siril 0.9 r2298
2018-05-09 00:11 vinvin Note Added: 0000543
2018-05-09 00:11 vinvin Status assigned => resolved